Package org.opentcs.drivers.peripherals.management

# Class PeripheralAttachmentEvent

java.lang.Object
org.opentcs.drivers.peripherals.management.PeripheralCommAdapterEvent
org.opentcs.drivers.peripherals.management.PeripheralAttachmentEvent

All Implemented Interfaces:
  `java.io.Serializable`, `LowLevelCommunicationEvent`

    public class PeripheralAttachmentEvent
    extends PeripheralCommAdapterEvent
    implements java.io.Serializable

Instances of this class represent events emitted by/for attaching comm adapters.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PeripheralAttachmentEvent​(TCSResourceReference<Location> location, PeripheralAttachmentInformation attachmentInformation)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PeripheralAttachmentInformation` | `getAttachmentInformation()` | Returns the information to the actual attachment.
  `TCSResourceReference<Location>` | `getLocation()` | Returns the location a comm adapter has been attached to.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeripheralAttachmentEvent

    public PeripheralAttachmentEvent​(@Nonnull TCSResourceReference<Location> location, @Nonnull PeripheralAttachmentInformation attachmentInformation)
    Creates a new instance.
    Parameters:
      `location` - The location a comm adapter has been attached to.
      `attachmentInformation` - The information to the actual attachment.

- ## Method Details

  - ### getLocation

    public TCSResourceReference<Location> getLocation()
    Returns the location a comm adapter has been attached to.
    Returns:
      The location a comm adapter has been attached to.

  - ### getAttachmentInformation

    public PeripheralAttachmentInformation getAttachmentInformation()
    Returns the information to the actual attachment.
    Returns:
      The information to the actual attachment.